<!DOCTYPE html>

<html>

<head>
  <meta charset="utf-8" />
  <title>eyeo's WebExtension Ad-Filtering Solution Tests</title>
</head>

<body style="font-size: 16px;">
  <h1>eyeo's WebExtension Ad-Filtering Solution tests</h1>
  <h3>Options</h3>
  <ul>
    <li>grep: <input id="grep" name="grep" type="text"/></li>
    <li>timeout: <input id="timeout" name="timeout" type="text"/></li>
    <li>browser is currently in incognito mode: <input id="incognito" name="incognito" type="checkbox"/></li>
    <li>fuzz test service workers by suspending frequently: <input id="fuzzServiceWorkers" name="fuzzServiceWorkers" type="checkbox"/></li>
  </ul>
  More info <a href="https://gitlab.com/eyeo/adblockplus/abc/webext-ad-filtering-solution#testing" target="_blank">here</a>.
  <h3>Tests</h3>
  <ul>
    <li><a id="functional" href="functional.html" target="_blank">Functional tests</a></li>
    <li><a id="reload" href="reload.html?start=1" target="_blank">Reload tests</a></li>
    <li><a id="update" href="update.html?start=1" target="_blank">Update tests</a></li>
    <li><a id="mv2-mv3-migrate" href="mv2-mv3-migrate.html?start=1" target="_blank">MV2 MV3 migrate tests</a></li>
  </ul>
  <script src="index-options.js"></script>
</body>

</html>
